#ifndef __textpreview_h__
#define __textpreview_h__

#include <tqframe.h>
#include "global.h"

class KPrTextPreview : public TQFrame
{
    Q_OBJECT
  TQ_OBJECT

public:
    KPrTextPreview( TQWidget* parent, const char* name = 0 );
    ~KPrTextPreview() {}

    void setShadowDirection( ShadowDirection sd ) { shadowDirection = sd; tqrepaint( true ); }
    void setShadowDistance( int sd ) { shadowDistance = sd; tqrepaint( true ); }
    void setShadowColor( const TQColor &sc ) { shadowColor = sc; tqrepaint( true ); }
    void setAngle( double a ) { angle = a; tqrepaint( true ); }

protected:
    void drawContents( TQPainter* );

    ShadowDirection shadowDirection;
    int shadowDistance;
    TQColor shadowColor;
    double angle;
};

#endif

